package com.eactive.eai.rms.onl.apim.template.dto;

import java.util.Map;

import org.springframework.context.ApplicationEvent;

import com.eactive.apim.portal.portaluser.entity.PortalUser;

public class MessageSendEvent extends ApplicationEvent {
    private String messageType;
    private PortalUser recipient;
    private Map<String, String> params;

    public MessageSendEvent(Object source, String messageType, PortalUser recipient, Map<String, String> params) {
        super(source);
        this.messageType = messageType;
        this.recipient = recipient;
        this.params = params;
    }

    public String getMessageType() {
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public PortalUser getRecipient() {
        return recipient;
    }

    public void setRecipient(PortalUser recipient) {
        this.recipient = recipient;
    }

    public Map<String, String> getParams() {
        return params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }
}
